package cn.stylefeng.team.project.api;

import cn.stylefeng.team.project.api.enums.SystemCodeTypeEnum;
import cn.stylefeng.team.project.api.pojo.SystemCodeInfo;

public interface SystemCodeApi {

    SystemCodeInfo createNewSystemCode(SystemCodeTypeEnum systemCodeTypeEnum);

    void validateSystemCodeShow(SystemCodeTypeEnum systemCodeTypeEnum, int systemCode, String systemCodeShow);

    SystemCodeInfo addNumber(SystemCodeTypeEnum systemCodeTypeEnum, int originSystemCodeNumber, int addNumber);

}
